package com.chenyang.nse.bussiness.entity.orm.table.core;

import com.chenyang.nse.bussiness.entity.orm.table.TInitEntity;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_CONTROLLED_ASSET"
)
public class TCoreControlledAsset extends TInitEntity {
   @Column(
      length = 32
   )
   private String name;
   @Column(
      length = 2
   )
   private String type;
   @Column(
      length = 32
   )
   private String datasourceid;
   @Column(
      length = 64
   )
   private String datasourcename;
   @Column(
      length = 32
   )
   private String dbtype;
   @Column(
      length = 32
   )
   private String business;

   public String getName() {
      return this.name;
   }

   public void setName(String name) {
      this.name = name;
   }

   public String getType() {
      return this.type;
   }

   public void setType(String type) {
      this.type = type;
   }

   public String getDatasourcename() {
      return this.datasourcename;
   }

   public void setDatasourcename(String datasourcename) {
      this.datasourcename = datasourcename;
   }

   public String getDbtype() {
      return this.dbtype;
   }

   public void setDbtype(String dbtype) {
      this.dbtype = dbtype;
   }

   public String getBusiness() {
      return this.business;
   }

   public void setBusiness(String business) {
      this.business = business;
   }

   public String getDatasourceid() {
      return this.datasourceid;
   }

   public void setDatasourceid(String datasourceid) {
      this.datasourceid = datasourceid;
   }
}
